Package org.drinkless.tdlib

# Class TdApi.DatedFile

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.DatedFile

Enclosing class:
  TdApi

public static class TdApi.DatedFile extends TdApi.Object
File with the date it was uploaded.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `date`
  Point in time (Unix timestamp) when the file was uploaded.
  `TdApi.File`
  `file`
  The file.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DatedFile()`
  File with the date it was uploaded.
  `DatedFile(TdApi.File file, int date)`
  File with the date it was uploaded.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### file

    public TdApi.File file
    The file.

  - ### date

    public int date
    Point in time (Unix timestamp) when the file was uploaded.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DatedFile

    public DatedFile()
    File with the date it was uploaded.

  - ### DatedFile

    public DatedFile(TdApi.File file, int date)
    File with the date it was uploaded.
    Parameters:
      `file` - The file.
      `date` - Point in time (Unix timestamp) when the file was uploaded.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR